Subject: Re: [PATCH v2 1/5] VSOCK: support fill mergeable rx buffer in guest

From: jiangyiwen <[email-masked]>
Date: Thu, 13 Dec 2018 10:47:21 +0800

On 2018/12/13 3:08, David Miller wrote:
> From: jiangyiwen <[email-masked]>
> Date: Wed, 12 Dec 2018 17:28:16 +0800
> 
>> +static int fill_mergeable_rx_buff(struct virtio_vsock *vsock,
>> +		struct virtqueue *vq)
>> +{
>> +	struct page_frag *alloc_frag = &vsock->alloc_frag;
>> +	struct scatterlist sg;
>> +	/* Currently we don't use ewma len, use PAGE_SIZE instead, because too
>> +	 * small size can't fill one full packet, sadly we only 128 vq num now.
>> +	 */
>> +	unsigned int len = PAGE_SIZE, hole;
>> +	void *buf;
>> +	int err;
> 
> Please don't break up a set of local variable declarations with a
> comment like this.  The comment seems to be about the initialization
> of 'len', so move that initialization into the code below the variable
> declarations and bring the comment along for the ride as well.
> 
> .
> 

Hi David,

Thanks your suggestions, if maintainers approve use this series of
patches other than "vsock over virtio-net" idea, I will send to next
version and fix it. Otherwise, I hope it can give maintainers the
motivation that aggregate the vsock(virtio_transport related) and
virtio-net.

Thanks,
Yiwen.